options:
    type: INNODB
    collate: utf8_unicode_ci
    charset: utf8


sfGuardUser:
  columns:    
    email:
      type: string(100)
    imie:
      type: string(25)
    nazwisko:
      type: string(50)
    email:
      type: string(100)
      notnull: true


StronaGlowna:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [tytul_powitania, tresc_powitania, tresc_ostatnich_podrozy] #kolumny wielojezyczne
  columns:    
    id_usera: 
      type: integer(4)      
      notnull: true    
    tytul_powitania:
      type: string(100)
      notnull: true
    tresc_powitania:
      type: clob
      notnull: true
    tresc_ostatnich_podrozy:
      type: clob
      notnull: true
  relations:
    sfGuardUser:
      class: sfGuardUser      #nazwa tabeli (klasy), do ktorej tworzymy zwiazek
      local: id_usera         #nazwa pola w aktualnej tabeli, ktore ma zostac uzyte do stworzenia zwiazku
      foreign: id             #nazwa pola drugiej tabeli, ktore ma zostac uzyte do stworzenia zwiazku
      type: one               #rodzaj zwiazku po stronie aktualnej tabeli; tu: jeden
      foreignType: one        #rodzaj zwiazku po stronie drugiej tabeli; tu: jeden
      
      
OMnie:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [tytul, tresc] #kolumny wielojezyczne
  columns:    
    id_usera: 
      type: integer(4)      
      notnull: true    
    tresc:
      type: clob
      notnull: true
  relations:
    sfGuardUser:
      class: sfGuardUser      
      local: id_usera         
      foreign: id             
      type: one               
      foreignType: one  
      
      
Kontakt:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [tresc] #kolumny wielojezyczne
  columns:    
    id_usera: 
      type: integer(4)      
      notnull: true    
    tresc:
      type: clob
      notnull: true
  relations:
    sfGuardUser:
      class: sfGuardUser      
      local: id_usera         
      foreign: id             
      type: one               
      foreignType: one      
      
      
Baner:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [tekst] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    pierwotna_nazwa:
      type: string(250)
      notnull: true
    nazwa_zdjecia:
      type: string(250)
      notnull: true
    powiekszenie:
      type: integer(2)
      notnull: true
    nazwa_powiekszenia:
      type: string(250)
      notnull: true
    rozszerzenie:
      type: string(10)
      notnull: true
    typ_mime:
      type: string(250)
      notnull: true 
    tekst:
      type: clob
      notnull: true    
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id
      
             
Blog:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [temat, tresc] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    temat:
      type: string(250)
      notnull: true
    tresc:
      type: clob
      notnull: true    
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id

Kategoria:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [kategoria, opis, daty_podrozy] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    kategoria:
      type: string(50)
      notnull: true
    opis:
      type: clob
    daty_podrozy:
      type: string(50)
    aktywna:
      type: boolean
      notnull: true
      default: 1    
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id
      
      
Zdjecie:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [tekst] #kolumny wielojezyczne
  columns: 
    id_kategorii:
      type: integer
      notnull: true
    glowne:
      type: boolean
      notnull: true
      default: 0
    pierwotna_nazwa:
      type: string(250)
      notnull: true
    nazwa_zdjecia:
      type: string(250)
      notnull: true
    nazwa_miniatury:
      type: string(250)
      notnull: true
    rozszerzenie:
      type: string(10)
      notnull: true
    typ_mime:
      type: string(250)
      notnull: true     
    tekst:
      type: string(250)
  relations:
    Kategoria:
      class: Kategoria
      local: id_kategorii
      foreign: id
      onDelete: CASCADE
      onUpdate: CASCADE


KomentarzKategorii:
  actAs: 
    Timestampable: ~
  columns:  
    id_kategorii:
      type: integer
      notnull: true   
    nick:
      type: string(50)
      notnull: true
    tresc:
      type: clob
      notnull: true
    opublikowano:
      type: boolean
      notnull: true
      default: 0
    zobaczono:
      type: boolean
      notnull: true
      default: 0    
  relations:
    Kategoria:
      class: Kategoria
      local: id_kategorii
      foreign: id
      onDelete: CASCADE
      onUpdate: CASCADE
      

KomentarzBloga:
  actAs: 
    Timestampable: ~
  columns: 
    id_bloga:
      type: integer
      notnull: true   
    nick:
      type: string(50)
      notnull: true
    tresc:
      type: clob
      notnull: true
    opublikowano:
      type: boolean
      notnull: true
      default: 0
    zobaczono:
      type: boolean
      notnull: true
      default: 0     
  relations:
    Blog:
      class: Blog
      local: id_bloga
      foreign: id
      onDelete: CASCADE
      onUpdate: CASCADE
      
Tv:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [temat, tresc] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    temat:
      type: string(250)
      notnull: true
    tresc:
      type: clob
      notnull: true    
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id
      
Dziennik:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [temat, tresc] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    temat:
      type: string(250)
      notnull: true    
    tresc:
      type: clob
      notnull: true    
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id
      
News:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [temat, tresc] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    temat:
      type: string(250)
      notnull: true
    tresc:
      type: clob
      notnull: true    
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id
      
Szkocja:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [temat, tresc] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    temat:
      type: string(250)
      notnull: true
    tresc:
      type: clob
      notnull: true    
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id
      
Wstep:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [tresc] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    tresc:
      type: clob
      notnull: true 
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id
      
Ksiazka:
  actAs: 
    Timestampable: ~
    I18n:
      fields: [tytul, tresc] #kolumny wielojezyczne
  columns: 
    id_usera: 
      type: integer(4)
      notnull: true
    pierwotna_nazwa:
      type: string(250)
      notnull: true
    nazwa_zdjecia:
      type: string(250)
      notnull: true
    powiekszenie:
      type: integer(2)
      notnull: true
    nazwa_powiekszenia:
      type: string(250)
      notnull: true
    nazwa_miniatury:
      type: string(250)
      notnull: true
    rozszerzenie:
      type: string(10)
      notnull: true
    typ_mime:
      type: string(250)
      notnull: true    
    tytul:
      type: string(250)
      notnull: true
    tresc:
      type: clob
      notnull: true    
  relations:
    sfGuardUser:
      class: sfGuardUser
      local: id_usera
      foreign: id
  